# TdApi.InlineQueryResultDocument (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: InlineQueryResultDocument

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InlineQueryResultDocument

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InlineQueryResult
it.tdlight.jni.TdApi.InlineQueryResultDocument

Enclosing class:
  TdApi

public static final class TdApi.InlineQueryResultDocument extends TdApi.InlineQueryResult
Represents a document.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`description`
Document description.
`TdApi.Document`
`document`
Document.
`String`
`id`
Unique identifier of the query result.
`String`
`title`
Document title.

## Constructor Summary

Constructors
Constructor
Description
`InlineQueryResultDocument()`
Represents a document.
`InlineQueryResultDocument(DataInput input)`
Represents a document.
`InlineQueryResultDocument(String id, TdApi.Document document, String title, String description)`
Represents a document.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public String id
Unique identifier of the query result.

### document

public TdApi.Document document
Document.

### title

public String title
Document title.

### description

public String description
Document description.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### InlineQueryResultDocument

public InlineQueryResultDocument()
Represents a document.

### InlineQueryResultDocument

public InlineQueryResultDocument(String id, TdApi.Document document, String title, String description)
Represents a document.

Parameters:
  `id` - String Unique identifier of the query result.
  `document` - Document Document.
  `title` - String Document title.
  `description` - String Document description.

### InlineQueryResultDocument

public InlineQueryResultDocument(DataInput input) throws IOException
Represents a document.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`